#@TYPE: Machine
#@NAME: NetModule HW 23
#@DESCRIPTION: Machine configuration for the nmhw23 mainboard
require include/imx8.inc

IMAGE_FSTYPES += "tar.gz cpio cpio.gz.u-boot"
IMAGE_CLASSES += "image_types"

MACHINE_EXTRA_RRECOMMENDS = " kernel-modules kernel-devicetree"

KERNEL_DEVICETREE_TO_USE = "${HW23_DT}"

SOTA_MACHINE = "${MACHINE}"

KERNEL_CLASSES_append = " kernel-fitimage"

#UBOOT_MACHINE = "imx8_nmhw23_defconfig"
IMAGE_BOOT_FILES = "flash.bin"

PREFERRED_PROVIDER_virtual/kernel = "linux-netmodule"
PREFERRED_PROVIDER_virtual/bootloader = "u-boot-imx8-nmhw23"
#PREFERRED_PROVIDER_virtual/bootloader = "u-boot-imx"

UBOOT_MAKE_TARGET = ""
#UBOOT_MAKE_TARGET = "u-boot.bin"
UBOOT_SUFFIX = "bin"
UBOOT_CONFIG ??= "flash"
UBOOT_CONFIG[flash] = "imx8_nmhw23_defconfig"

WWAN_NBR = "1"
WWAN_VENDORS = "ublox"

MACHINE_FEATURES += " \
	pci \
	can \
	spi \
	imu \
	gnss \
	advanced-gnss \
	wwan \
	bluetooth \
	neo-m8l \
	usb-hub-reset \
	v2x \
	imx-boot \
	wifi \
	ublox-wifi \
	da9063-ignition \
"

ACCEPT_FSL_EULA = "1"

UBLOX_FEATURES = "jody-w1-pcie"

# Unstable versions are provided by meta-netmodule-wlan
# We prefer to keep the official stable versions
PREFERRED_VERSION_wpa-supplicant = "2.9"
PREFERRED_VERSION_hostapd = "2.9"
